@ECHO OFF
SETLOCAL
SET BATDIR=%~dp0
SET TMPNAM=%~n0.tmp

REM //--------------------------------------------------------------------------
REM // * Thu Mar 30 23:36:41 JST 2017 Naoyuki Sawa
REM // - 1st リリース。
REM //   /clip/tool/ConcatLibclipNet.batをコピーして、少し改造して作成しました。
REM //   当バッチスクリプトが有るフォルダ内のclip*.csを連結して、呼び出し側のカレントフォルダ内にProgram.csを生成します。
REM //   当バッチスクリプトは、Program.csを生成する事に特化していて、汎用性は有りません。
REM // * Mon May 01 22:50:38 JST 2017 Naoyuki Sawa
REM // - /clip/tool/ConcatLibclipNet.batを呼び出して処理するように変更しました。
REM //   これまでは、/clip/tool/ConcatLibclipNet.batとほとんど同じ処理を、入力ファイルを変えるだけのために少しだけ変えて当バッチスクリプトを実装していましたが、
REM //   /clip/tool/ConcatLibclipNet.batにて呼び出し側で入力ファイルを指定出来るように変更したので、当バッチスクリプトを独自に実装する必要は無くなったからです。

REM //--------------------------------------------------------------------------
REM //入力ファイルを定義します。
REM //フォルダ構成を変更した場合は、以下の定義も変更して下さい。
SET SRCFILES=%BATDIR%src\*.cs ^
             %BATDIR%src\ToolLib\*.cs

REM //--------------------------------------------------------------------------
REM //入力ファイルを連結して、一つのLibrary.csにまとめます。
CALL ConcatLibclipNet.bat
IF ERRORLEVEL 1 GOTO L_ERR

REM //--------------------------------------------------------------------------
REM //ConcatLibclipNet.batが生成したLibrary.csを、Program.csにリネームします。
IF EXIST Program.cs DEL Program.cs
REN Library.cs Program.cs
IF ERRORLEVEL 1 GOTO L_ERR

REM //--------------------------------------------------------------------------
ECHO 完了しました。
REM //PAUSE
EXIT /B

REM //--------------------------------------------------------------------------
:L_ERR
REM //□不完全な最終出力ファイルを確実に削除します。
IF EXIST libclip.cs DEL libclip.cs
IF EXIST Library.cs DEL Library.cs
ECHO ###エラーが発生しました。
REM //PAUSE
EXIT /B 1
